Bug 530324 - Review Request: perl-V - Print version of the specified Perl modules
Summary: Review Request: perl-V - Print version of the specified Perl modules
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-22 11:04 UTC by Johan Vromans
Modified: 2009-11-16 07:28 UTC (History)
3 users (show)

Fixed In Version: 0.13-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-16 07:25:01 UTC
emmanuel: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Johan Vromans 2009-10-22 11:04:39 UTC
Description: Package perl-V provides one (Perl) module: V. This module can be helpful to determine the versions of Perl packages, whether they are installed or not.

The spec and srpm are rpmlint free of errors and warnings.

srpm URL: http://www.squirrel.nl/pub/xfer/perl-V-0.13-1.fc10.src.rpm
spec URL: http://www.squirrel.nl/pub/xfer/perl-V.spec

Latest koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1762601

Comment 1 Emmanuel Seyman 2009-10-31 14:26:46 UTC
Taking.

Comment 2 Emmanuel Seyman 2009-10-31 15:16:02 UTC
=== KEY ===

* : Pass
X : N/A
? : Not tested

=== REQUIRED ITEMS ===
 [*] Package is named according to the Package Naming Guidelines.
 [*] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [*] Package meets the Packaging Guidelines including the Perl specific items
 [*] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: dist-f13
http://koji.fedoraproject.org/koji/taskinfo?taskID=1780080
 [*] Rpmlint output:
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
 [*] Package is not relocatable.
 [*] Buildroot is correct
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [*] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [*] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [X] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [*] Spec file is legible and written in American English.
 [*] Sources used to build the package matches the upstream source, as provided
in the spec URL.
fb4e5b1ae277880c1798677a9db8659e  V-0.13.tar.gz
 [*] Package is not known to require ExcludeArch
 [*] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [X] The spec file handles locales properly.
 [X] ldconfig called in %post and %postun if required.
 [*] Package must own all directories that it creates.
 [X] Package requires other packages for directories it uses.
 [*] Package does not contain duplicates in %files.
 [*] Permissions on files are set properly.
 [*] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [*] Package consistently uses macros.
 [*] Package contains code, or permissable content.
 [X] Large documentation files are in a -doc subpackage, if required.
 [*] Package uses nothing in %doc for runtime.
 [X] Header files in -devel subpackage, if present.
 [X] Static libraries in -devel subpackage, if present.
 [X] Package requires pkgconfig, if .pc files are present.
 [X] Development .so files in -devel subpackage, if present.
 [X] Fully versioned dependency in subpackages, if present.
 [X] Package does not contain any libtool archives (.la).
 [X] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [X] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [*] Latest version is packaged.
 [*] Package does not include license text files separate from upstream.
 [X] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [*] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [?] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:koji scratch build
 [*] Package functions as described.
 [X] Scriptlets must be sane, if used.
 [X] The placement of pkgconfig(.pc) files is correct.
 [X] File based requires are sane.
 [*] %check is present and the tests pass

Comment 3 Johan Vromans 2009-10-31 18:28:03 UTC
Thank you. I'll proceed with this package.

Comment 4 Johan Vromans 2009-10-31 18:36:39 UTC
New Package CVS Request
=======================
Package Name: perl-V
Short Description: Perl module to show versions of perl modules
Owners: sciurius
Branches: F-10 F-11
InitialCC:

Comment 5 Emmanuel Seyman 2009-10-31 19:06:58 UTC
(In reply to comment #4)
>
> InitialCC:  

This isn't a hard requirement but please consider adding perl-sig to the InitialCC of the perl modules you add to Fedora.

Comment 6 Johan Vromans 2009-10-31 20:38:01 UTC
New Package CVS Request
=======================
Package Name: perl-V
Short Description: Perl module to show versions of perl modules
Owners: sciurius
Branches: F-10 F-11
InitialCC: perl-sig

Comment 7 Kevin Fenzi 2009-10-31 23:43:36 UTC
cvs done with f-12 branch added.

Comment 8 Fedora Update System 2009-11-01 11:44:16 UTC
perl-V-0.13-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-V-0.13-1.fc10

Comment 9 Fedora Update System 2009-11-01 11:44:21 UTC
perl-V-0.13-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-V-0.13-1.fc11

Comment 10 Fedora Update System 2009-11-04 12:16:16 UTC
perl-V-0.13-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-V'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10944

Comment 11 Fedora Update System 2009-11-04 12:29:06 UTC
perl-V-0.13-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-V'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10980

Comment 12 Fedora Update System 2009-11-16 07:24:56 UTC
perl-V-0.13-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-16 07:27:56 UTC
perl-V-0.13-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.